<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- vcsbaseplugin.cpp -->
  <title>VcsBase Namespace | Extending Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="extending-index.html">Extending Qt Creator Manual</a></td><td >VcsBase Namespace</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="extending-index.html">Extending Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#types">Types</a></li>
<li class="level1"><a href="#details">Detailed Description</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">VcsBase Namespace</h1>
<!-- $$$VcsBase-brief -->
<p>The VcsBase namespace contains classes for the VcsBase plugin. <a href="#details">More...</a></p>
<!-- @@@VcsBase -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Header:</td><td class="memItemRight bottomAlign">   <span class="preprocessor">#include &lt;VcsBase&gt;</span>
</td></tr></table></div><ul>
</ul>
<a name="types"></a>
<h2 id="types">Types</h2>
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> enum </td><td class="memItemRight bottomAlign"><b><a href="vcsbase.html#EditorContentType-enum">EditorContentType</a></b> { RegularCommandOutput, LogOutput, AnnotateOutput, DiffOutput }</td></tr>
</table></div>
<a name="details"></a>
<!-- $$$VcsBase-description -->
<div class="descr">
<h2 id="details">Detailed Description</h2>
</div>
<!-- @@@VcsBase -->
<div class="types">
<h2>Type Documentation</h2>
<!-- $$$EditorContentType$$$LogOutput$$$AnnotateOutput$$$DiffOutput$$$OtherContent -->
<h3 class="fn" id="EditorContentType-enum"><a name="EditorContentType-enum"></a>enum VcsBase::<span class="name">EditorContentType</span></h3>
<p>This enum describes the contents of a VcsBaseEditor and its interaction.</p>
<div class="table"><table class="valuelist"><tr valign="top" class="odd"><th class="tblConst">Constant</th><th class="tblval">Value</th><th class="tbldscr">Description</th></tr>
<tr><td class="topAlign"><code>VcsBase::RegularCommandOutput</code></td><td class="topAlign tblval">?</td><td class="topAlign">No special handling.</td></tr>
<tr><td class="topAlign"><code>VcsBase::LogOutput</code></td><td class="topAlign tblval"><code>0</code></td><td class="topAlign">Log of a file under revision control. Provide a description of the change that users can click to view detailed information about the change and <i>Annotate</i> for the log of a single file.</td></tr>
<tr><td class="topAlign"><code>VcsBase::AnnotateOutput</code></td><td class="topAlign tblval"><code>1</code></td><td class="topAlign">Color contents per change number and provide a clickable change description. Context menu offers annotate previous version functionality. Expected format:<pre class="cpp">

  <span class="operator">&lt;</span>change description<span class="operator">&gt;</span>: file line

</pre>
</td></tr>
<tr><td class="topAlign"><code>VcsBase::DiffOutput</code></td><td class="topAlign tblval"><code>2</code></td><td class="topAlign">Diff output. Might include describe output, which consists of a header and diffs. Double-clicking the chunk opens the file. The context menu offers the functionality to revert the chunk.</td></tr>
</table></div>
<p><b>See also </b>VcsBase::VcsBaseEditorWidget.</p>
<!-- @@@EditorContentType -->
</div>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
